package com.njcn.pojo.commons;

import java.io.Serializable;

/**
 * @author hongawen
 * @Date: 2018/7/13 14:54
 */
public class SteadyData implements Serializable {

    private String name;

    private Integer monitors;

    private String areaIndex;

    private float allTime;

    private float frequency=3.1415f;

    private float uBalance=3.1415f;

    private float uAberrance=3.1415f;

    private float voltageDeviation=3.1415f;

    private float flicker=3.1415f;

    private float allFlicker=3.1415f;

    private float oddVoltage=3.1415f;

    private float evenVoltage=3.1415f;

    private float oddElectric=3.1415f;

    private float evenElectric=3.1415f;

    private float harmVoltage=3.1415f;

    private float harmElec=3.1415f;

    private float iNeg=3.1415f;

    private float inUharm=3.1415f;

    public float getAllTime() {
        return allTime;
    }

    public void setAllTime(float allTime) {
        this.allTime = allTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getMonitors() {
        return monitors;
    }

    public void setMonitors(Integer monitors) {
        this.monitors = monitors;
    }

    public float getFrequency() {
        return frequency;
    }

    public void setFrequency(float frequency) {
        this.frequency = frequency;
    }

    public float getuBalance() {
        return uBalance;
    }

    public void setuBalance(float uBalance) {
        this.uBalance = uBalance;
    }

    public float getuAberrance() {
        return uAberrance;
    }

    public void setuAberrance(float uAberrance) {
        this.uAberrance = uAberrance;
    }

    public float getVoltageDeviation() {
        return voltageDeviation;
    }

    public void setVoltageDeviation(float voltageDeviation) {
        this.voltageDeviation = voltageDeviation;
    }

    public float getFlicker() {
        return flicker;
    }

    public void setFlicker(float flicker) {
        this.flicker = flicker;
    }

    public float getOddVoltage() {
        return oddVoltage;
    }

    public void setOddVoltage(float oddVoltage) {
        this.oddVoltage = oddVoltage;
    }

    public float getEvenVoltage() {
        return evenVoltage;
    }

    public void setEvenVoltage(float evenVoltage) {
        this.evenVoltage = evenVoltage;
    }

    public float getOddElectric() {
        return oddElectric;
    }

    public void setOddElectric(float oddElectric) {
        this.oddElectric = oddElectric;
    }

    public float getEvenElectric() {
        return evenElectric;
    }

    public void setEvenElectric(float evenElectric) {
        this.evenElectric = evenElectric;
    }

    public String getAreaIndex() {
        return areaIndex;
    }

    public void setAreaIndex(String areaIndex) {
        this.areaIndex = areaIndex;
    }

    public float getAllFlicker() {
        return allFlicker;
    }

    public void setAllFlicker(float allFlicker) {
        this.allFlicker = allFlicker;
    }

    public float getHarmVoltage() {
        return harmVoltage;
    }

    public void setHarmVoltage(float harmVoltage) {
        this.harmVoltage = harmVoltage;
    }

    public float getHarmElec() {
        return harmElec;
    }

    public void setHarmElec(float harmElec) {
        this.harmElec = harmElec;
    }

    public float getiNeg() {
        return iNeg;
    }

    public void setiNeg(float iNeg) {
        this.iNeg = iNeg;
    }

    public float getInUharm() {
        return inUharm;
    }

    public void setInUharm(float inUharm) {
        this.inUharm = inUharm;
    }

    @Override
    public String toString() {
        return "SteadyData{" +
                "name='" + name + '\'' +
                ", monitors=" + monitors +
                ", areaIndex='" + areaIndex + '\'' +
                ", allTime=" + allTime +
                ", frequency=" + frequency +
                ", uBalance=" + uBalance +
                ", uAberrance=" + uAberrance +
                ", voltageDeviation=" + voltageDeviation +
                ", flicker=" + flicker +
                ", allFlicker=" + allFlicker +
                ", oddVoltage=" + oddVoltage +
                ", evenVoltage=" + evenVoltage +
                ", oddElectric=" + oddElectric +
                ", evenElectric=" + evenElectric +
                ", harmVoltage=" + harmVoltage +
                ", harmElec=" + harmElec +
                ", iNeg=" + iNeg +
                ", inUharm=" + inUharm +
                '}';
    }
}
